return {
    "nvim-treesitter/nvim-treesitter",
    branch = "master",
    lazy = false,
    build = ":TSUpdate",
    event = { "BufRead" },
    opts = { -- Das Plugin bietet noch diverse weitere Optionen.
        ensure_installed = { 'bash', 'c', 'diff', 'html', 'lua', 'luadoc',
            'markdown', 'markdown_inline', 'query', 'vim', 'vimdoc', "rust", "vue", "typescript", "css"
        },
        indent = { enable = true },    -- Automatische Einrückungen mit Tree-sitter
        highlight = { enable = true }, -- Das Syntax-Highlighting einschalten
        auto_install = true,           -- Highlighting-Daten automatisch installieren
    }
}
